Skip to main content

Atrium API

Create Member

Standard Members

When creating a standard member, you'll need to include the correct type of credential required by the financial institution, with values provided by the end user. You can find out which credential type is required with the read institution credentials endpoint.

Once you successfully create a standard member, MX will immediately validate the provided credentials and attempt to aggregate data for accounts and transactions. You can prevent this automatic aggregation by setting the skip_aggregation parameter to true.

OAuth Members

OAuth members can only be created with institutions that support it. OAuth members require no credentials, but do require you to set the is_oauth parameter to true.

New OAuth members will be created with a connection status of PENDING; e redirect URI will be provided in the oauth_window_uri field of the response. Making a separate request to the MX-provided oauth_window_uri will then take the end user to their financial institution's website where they can log in and select what data to share with MX. After completing the OAuth process, aggregation automatically will begin and the connection status will be updated, unless the skip_aggregation parameter was set to true.

oauth_window_uris are one-time use. Don't hard code an expected URI into your application.

Don't prepend the https:// protocol to the URI string, as MX includes this.

caution

Do not add multiple members which connect to the same institution using the same credentials on the same user. This will result in a 409 Conflict error.

POST
/users/{user_guid}/members

Request Body

FieldRequiredType

identifier

Optional
String

institution_code

Required
String

metadata

Optional
String

skip_aggregation

Optional
Boolean

is_oauth

Optional
Boolean

referral_source

Optional
String

client_redirect_url

Optional
String

ui_message_webview_url_scheme

Optional
String

Request sample

Standard
OAuth
Language:sh

_21
curl -i -X POST 'https://vestibule.mx.com/users/{user_guid}/members' \
_21
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_21
-H 'Content-Type: application/json' \
_21
-H 'MX-API-Key: {mx_api_key}' \
_21
-H 'MX-Client-ID: {mx_client_id}' \
_21
-d '{
_21
"member": {
_21
"institution_code": "mxbank",
_21
"credentials": [
_21
{
_21
"guid": "CRD-1ec152cd-e628-e81a-e852-d1e7104624da",
_21
"value": "ExampleUsername"
_21
},
_21
{
_21
"guid": "CRD-1ec152cd-e628-e81a-e852-d1e7104624da",
_21
"value": "Pa$$vv@Rd"
_21
}
_21
],
_21
"skip_aggregation": true
_21
}
_21
}'

Response sample

Standard
OAuth
Language:json

_15
{
_15
"member": {
_15
"aggregated_at": "2016-10-13T17:57:36+00:00",
_15
"connection_status": "CONNECTED",
_15
"guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
_15
"identifier": "unique_id",
_15
"institution_code": "mxbank",
_15
"is_being_aggregated": true,
_15
"metadata": "{\"credentials_last_refreshed_at\": \"2015-10-15\"}",
_15
"name": "MX Bank",
_15
"status": "INITIATED",
_15
"successfully_aggregated_at": null,
_15
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
_15
}
_15
}